/* --- OLD ---- */

.underlined-title {
    padding: 0 0 8px 60px;
    border-width: 0 0 7px 0;
    border-color: #d7625b;
}

.date-cell:hover, .button, .check-box, .radio-button, .dropdown, .combo-box-base, .combo-box-popup .list-view .list-cell:filled:hover {
    cursor: pointer;
}

.button:hover, .user-button:hover, #add-client-button:hover, #edit-client-button:hover, .submit-button:hover, .close-button:hover, #print-button:hover {
    opacity: 0.75;
}

/* Login */

.content {
    width: 960px;
    margin: 0 auto;
}

#username {
    font-size: 1.2em;
    font-family: 'Raleway';
    height: 45px;
    max-width: 300px;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    background-insets: 0 0 -5 0, 0 0 0 0, 0 0 0 0;
    background-color: #a9a9a9, white, white;
}

#login-title {
    font-size: 2.6em;
    color: #791122;
}

#wistjedat {
    font-size: 1.5em;
    color: #791122;
    font-family: 'Playfair Display';
}

#username:focused {
    height: 45px;
    max-width: 300px;
    font-family: 'raleway';
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    background-insets: 0 0 -5 0, 0 0 0 0, 0 0 0 0;
    background-color: #d31313, white, white;
}

#textfieldCorrect {
    -fx-pref-height: 35px;
    -fx-max-width: 300px;
    -fx-border-width: 0 0 5 0;
    -fx-border-color: forestgreen;

}

#loginView {
    background-color: #cce6c9;
    font-family: 'raleway';
}

#submit {
    background-color: #d7625b;
    height: 50px;
    min-width: 300px;
    color: white;
    font-size: 1.5em;
}

/* Sidebars */

.left-sidebar, .right-sidebar {
    background-color: #dcefd9;
}

#addProductBackground {
    background-color: #cae7c8;
    padding: 40px;
}



/* Menu */



/* User menu */

.user-button {
    -fx-background-color: transparent;
}

.greet-user-text-wrap {
    -fx-text-alignment: center;
}

.greet-user-text {
    -fx-fill: #791122;
    -fx-font-size: 18px;
    -fx-text-alignment: center;
}

.bold {
    -fx-font-family: 'Raleway SemiBold';
}

.user-menu {
    -fx-alignment: center;
}

.user-button-active {
    -fx-opacity: 0.75;
}

.greet-username-active {
    -fx-underline: true;
}

/* Intake menu */

.intake-menu-label {
    -fx-text-fill: #791122;
    -fx-font-size: 19px;
    -fx-font-weight: 500;
    -fx-padding: 10px 0 0 0;
}

.combo-box .list-cell {
    -fx-background: white;
    -fx-background-color: transparent;
    -fx-text-fill: -fx-text-base-color;
    -fx-padding: 3 0 2 7;
    -fx-cell-size: 2em;
    -fx-font-size: 16px;
}

.combo-box-popup .list-view {
    -fx-background-color: white, white;
    -fx-background-insets: 0;
    -fx-effect: dropshadow(three-pass-box, rgba(0, 0, 0, 0.15), 8, 0.0, 0, 0);
    -fx-border-color: transparent;
}

.combo-box-popup .list-view .list-cell:filled:selected, .combo-box-popup .list-view .list-cell:filled:selected:hover {
    -fx-background: -fx-accent;
    -fx-background-color: -fx-selection-bar;
    -fx-text-fill: -fx-selection-bar-text;
}

.combo-box-popup .list-view .list-cell:filled:hover {
    -fx-background-color: #cce6c9;;
    -fx-text-fill: -fx-text-inner-color;
}

.combo-box-base {
    -fx-padding: 0;
    -fx-background-color: white;
    -fx-effect: dropshadow(three-pass-box, rgba(0, 0, 0, 0.15), 5, 0, 0, 0);
    -fx-padding: 3px;
}

.combo-box-base:showing {
    -fx-color: -fx-pressed-base;
}

.combo-box-base:focused {
    -fx-background-color: white;
    -fx-background-insets: -1.4, 0, 1, 2;
}

.combo-box-base:disabled {
    -fx-opacity: 0.6;
}

.combo-box-base:hover {
    -fx-opacity: 0.85;
}

/* Date picker */

.date-cell {
    -fx-border-width: 1px;
}

.date-cell:hover {
    -fx-background-color: #cae7c8;
}

.date-cell:focused, .date-cell:hover {
    -fx-background-color: #5ca9b7;
    -fx-border-color: #5ca9b7;
    -fx-text-fill: white !important;
}

.date-with-intake {
    -fx-background-color: #cae7c8;
}

.date-cell:disabled {
    -fx-opacity: 0.5;
}

.date-picker-popup > * > .today {
    -fx-text-fill: #6fc06a;
}

.date-picker-popup, .date-picker-popup > .month-year-pane {
    -fx-border-width: 0 !important;
    -fx-background-color: #ededed;
}

.date-picker-popup > .month-year-pane {
    -fx-background-color: #5ca9b7;
}

.date-picker-popup > .month-year-pane .label {
    -fx-text-fill: white;
    -fx-font-family: 'Raleway SemiBold';
}

.date-picker > .arrow-button > .arrow {
    -fx-background-color: white !important;
}

.date-picker > .arrow-button {
    -fx-text-fill: white !important;
    -fx-background-color: #cae7c8;
    -fx-background-insets: 0, 1;
}

.date-picker, .date-picker .text-field, .date-picker-popup {
    -fx-padding: 0 !important;
    -fx-border-width: 0 !important;
}

.date-picker .text-field {
    -fx-padding: 8px !important;
}

.spinner .button {
    -fx-text-fill: white !important;
    -fx-background-color: #ededed;
    /*-fx-background-color: rgba(255,255,255,0.5);*/
    /*-fx-background-radius: 100%;*/
    -fx-border-width: 0 !important;
    -fx-effect: none !important;
    -fx-background-color: transparent;

}

.date-picker-popup > * > .spinner > .button > .left-arrow {
    /*-fx-background-color: transparent;*/
    /*-fx-background-image: url("images/add_client_button.png");*/
    /*-fx-background-size: 100% 100%;*/
    /*-fx-shape: none;*/
}

.spinner .button:hover {
    -fx-background-color: transparent;
}

/* Client menu */

#add-client-button, #edit-client-button, #print-button {
    -fx-background-color: transparent;
    -fx-pref-width: 100px;
    -fx-pref-height: 100px;
    -fx-background-size: auto 100%;
}

#add-client-button {
    -fx-background-image: url("../app/shared/right-menu/images/add_client_button.png");
}

#edit-client-button {
    -fx-background-image: url("../assets/images/right-menu/edit_client.png");
}

#print-button {
    -fx-background-image: url("../images/print_button.png");
}

/* Client form */

.client-form-wrap {
    -fx-background-color: rgba(255, 255, 255, 0.5);
}

.client-form {
    -fx-background-color: #d76159;
    -fx-font-size: 16px;
    -fx-text-fill: white;
}

.client-form .label {
    -fx-font-size: 18px;
}

.client-form .date-picker {
    -fx-border-width: 3px;
    -fx-border-color: white;
    -fx-border-radius: 2px;
}

#client-title {
    -fx-text-fill: white !important;
    -fx-font-size: 20px;
    -fx-border-width: 0 0 7px 0;
    -fx-border-color: #a8393e;
    -fx-padding: 0 0 10px 0;
    -fx-font-family: 'Raleway SemiBold';
}

.close-button {
    -fx-background-color: #a8393f;
    -fx-text-fill: white;
    -fx-font-family: 'Raleway SemiBold';
    -fx-text-weight: 800;
    -fx-pref-width: 60px;
    -fx-pref-height: 60px;
    -fx-font-size: 22px;
    -fx-background-radius: 100%;
}

.false-input {
    -fx-border-color: red !important;
    -fx-background-radius: 3px;
}

/* End client form */

.horizontal-menu-button {
    -fx-background-color: #d7625b;
    -fx-text-fill: white;
    -fx-text-alignment: center;
    -fx-background-radius: 0;
    -fx-font-size: 18px;
    -fx-padding: 10px;
    -fx-pref-width: 400px;
}

.horizontal-menu-button-active, .horizontal-menu-button:hover {
    -fx-background-color: #a8393f;
    -fx-text-fill: #dcefd9;
}

#productToevoegen {
    -fx-font-size: 1.2em;
    -fx-font-family: 'Raleway';
    -fx-text-fill: white;
    -fx-pref-height: 30px;
    -fx-max-width: 300px;
    -fx-background-radius: 0;
    -fx-background-insets: 0 0 -5 0, 0 0 0 0, 0 0 0 0;
    -fx-background-color: #d7625b;
}

.gebruikerToevoegenTf {
    -fx-font-size: 1.2em;
    -fx-font-family: 'Raleway';
    -fx-pref-height: 30px;
    -fx-max-width: 300px;
    -fx-background-radius: 0;
    -fx-background-insets: 0 0 -5 0, 0 0 0 0, 0 0 0 0;
    -fx-background-color: #a9a9a9, white, white;
}

.gebruikerToevoegenTf:focused {
    -fx-pref-height: 30px;
    -fx-max-width: 300px;
    -fx-font-family: 'Raleway';
    -fx-background-radius: 0;
    -fx-background-insets: 0 0 -5 0, 0 0 0 0, 0 0 0 0;
    -fx-background-color: #d31313, white, white;
}

#createUser {
    -fx-background-color: #a8393f;
    -fx-text-fill: white;
    -fx-font-size: 18px;
    -fx-padding: 10px 60px 10px 60px;
    -fx-background-radius: 0;
    -fx-pref-height: 30px;
    -fx-max-width: 300px;
}

/* Intake page */

#filter-titled-pane > .title, #filter-titled-pane > *.content, #diagram-titled-pane > .title, #diagram-titled-pane > *.content {
    -fx-background-color: #d7625b;
    -fx-background-radius: 0;
}

#diagram-titled-pane > .title, #diagram-titled-pane > *.content {
    -fx-background-color: #70be68;
}

#filter-titled-pane > *.content, #diagram-titled-pane > *.content {
    -fx-padding: 10px;
}

#filter-titled-pane > .title, #diagram-titled-pane > .title {
    -fx-font-size: 19px;
    -fx-padding: 10px 10px 10px 20px;
}

.titled-pane > .title > .arrow-button .arrow {
    -fx-background-color: #7b1223;
}

#diagram-titled-pane.titled-pane > .title > .arrow-button .arrow {
    -fx-background-color: #4b8245;
}

.filter-category-box > .label {
    -fx-text-fill: white;
    -fx-font-size: 16px;
    -fx-padding: 0 0 15px 15px;
}

.filter-category-box .check-box {
    -fx-text-fill: white;
    -fx-font-size: 14px;
    -fx-padding: 5px 0;
}

.check-box .box, .radio-button .radio {
    -fx-background-color: white;
    -fx-skin: none;
    -fx-border-width: 0;
}

.check-box:selected .mark {
    -fx-background-color: limegreen;
}

.check-box:hover .box, .radio-button:hover .radio {
    -fx-opacity: 0.75;
}

.meal-pane {
    -fx-font-family: 'Raleway SemiBold';
}

.meal-pane .label {
    -fx-text-fill: #7b1223;
}

.meal-pane .meal-label {
    -fx-font-size: 23px;
    -fx-text-fill: #7b1223;
    -fx-padding: 0 0 8px 60px;
    -fx-border-width: 0 0 7px 0;
    -fx-border-color: #d7625b;
}

.meal-pane .text-field {
    -fx-border-radius: 0 !important;
    -fx-background-color: white !important;
    -fx-background-insets: 0 !important;
    -fx-border-width: 0 0 3px 3px;
    -fx-border-color: #d7625b;
    -fx-effect: none !important;
    -fx-text-box-border: transparent;
    -fx-background-radius: 0 !important;
    -fx-text-alignment: center;
}

.meal-pane .first-field {
    -fx-border-width: 0 0 3px 0 !important;
}

.product-dropdown, .product-dropdown .text-field {
    -fx-border-width: 0 !important;
    -fx-border-width: 0 0 3px 0 !important;
    -fx-background-insets: 0 !important;
}

.product-dropdown {
    -fx-padding: 0 !important;
    -fx-border-width: 0 0 3px 0 !important;
    -fx-effect: none !important;
}

.product-dropdown .arrow-button {
    -fx-background-color: transparent !important;
    -fx-border-width: 0 0 3px 0 !important;
    -fx-border-color: #d7625b;
}

.meal-pane .text-field:disabled {
    -fx-opacity: 1;
    -fx-background-color: #f2f2f2 !important;
    -fx-text-fill: #616161;
}

.meal-pane .text-field:empty {
    -fx-opacity: 1;
    -fx-text-fill: black;
}

.total-nutrient-field, .total-nutrient-field.text-field:disabled {
    -fx-background-color: #b0d6ad !important;
    -fx-border-color: #b0d6ad !important;
    -fx-text-fill: #7b1223 !important;
    -fx-font-family: 'Raleway SemiBold';
}

.delete-button {
    -fx-opacity: 0.5;
    -fx-text-fill: #d7625b;
    -fx-font-family: 'Raleway SemiBold';
    -fx-font-weight: 800;
    -fx-pref-width: 40px;
    -fx-pref-height: 40px;
    -fx-background-color: transparent !important;
    /*-fx-background-color: rgba(255,255,255,0.5)!important;*/
    /*-fx-background-image: url(/images/cross.svg);*/
    /*-fx-background-size: cover;*/
}

.delete-button:hover {
    -fx-opacity: 0.25;
}

/* Scrollbar */

.scroll-pane > .viewport, .scroll-pane {
    -fx-background-color: rgba(255, 255, 255, 0.2) !important;
    -fx-background-color: transparent !important;
}

.scroll-pane .scroll-bar:horizontal,
.scroll-pane .scroll-bar:vertical {
    -fx-background-color: #b0d5ac;
    -fx-background-insets: 0;
}

/* Draggable part of scrollbar */

.scroll-pane .scroll-bar:horizontal .thumb,
.scroll-pane .scroll-bar:vertical .thumb {
    -fx-background-color: #94bf92;
    -fx-background-insets: 0;
    -fx-background-radius: 0em;
}

.scroll-pane .increment-button, .scroll-pane .decrement-button {
    -fx-background-color: #94bf92;
    -fx-opacity: 0;
}

/* Diagram */

#diagram-container .title {
    -fx-font-size: 16px;
}
